Macros | Functions
example_service_sensor_off.c File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "acc_config.h"`
`#include "acc_definitions_a121.h"`
`#include "acc_definitions_common.h"`
`#include "acc_hal_definitions_a121.h"`
`#include "acc_hal_integration_a121.h"`
`#include "acc_integration.h"`
`#include "acc_processing.h"`
`#include "acc_rss_a121.h"`
`#include "acc_sensor.h"`
`#include "acc_version.h"`

Go to the source code of this file.

## Macros
#define | SENSOR_ID (1U)
#define | SENSOR_TIMEOUT_MS (1000U)
#define | MAX_DATA_ENTRY_LEN 15

## Functions
static void | set_config (acc_config_t *config)
static void | print_data (acc_int16_complex_t *data, uint16_t data_length)
static void | cleanup (acc_config_t *config, acc_processing_t *processing, acc_sensor_t *sensor, void *buffer)
int | acconeer_main (int argc, char *argv[])
| Assembly test example. More...

## Macro Definition Documentation

## ◆ MAX_DATA_ENTRY_LEN

#define MAX_DATA_ENTRY_LEN 15

Examples
  example_service_sensor_off.c.

Definition at line 43 of file example_service_sensor_off.c.

## ◆ SENSOR_ID

#define SENSOR_ID (1U)

Examples
  example_service_sensor_off.c.

Definition at line 41 of file example_service_sensor_off.c.

## ◆ SENSOR_TIMEOUT_MS

#define SENSOR_TIMEOUT_MS (1000U)

Examples
  example_service_sensor_off.c.

Definition at line 42 of file example_service_sensor_off.c.

## Function Documentation

## ◆ acconeer_main()

int acconeer_main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Assembly test example.

Touchless button application.

Tank level reference application.

Smart presence reference application.

Parking application.

Breathing example application.

Waste level application.

Vibration example.

Surface velocity example application.

Service subsweeps example.

Service multple configurations example.

Low power service example.

Service sensor calibration caching example.

Service example.

Processing subtract adaptive background example.

Processing static presence example.

Processing peak interpolation example.

Processing noncoherent mean example.

Processing coherent mean example.

Processing amplitude example.

hand motion application

Detector presence example with multiple configurations.

Low power detector presence example.

Detector presence example.

Detector distance example with iq data print.

Distance detector low power example.

Detector distance with calibration caching example.

Detector distance example.

Control helper example.

Cargo application.

Returns
  Returns EXIT_SUCCESS if successful, otherwise EXIT_FAILURE

Test if measure on wake up is enable Do a measurement if the the detector is ready (configured and calibrated)

Test if measure on wake up is enable Do a measurement if the the detector is ready (configured and calibrated)

Detector filters and states are reset on prepare (reconfiguration) to avoid risk of false detections when switching back to a zone.

Detector filters and states are reset on prepare (reconfiguration) to avoid risk of false detections when switching back to a zone.

Examples
  example_service_sensor_off.c.

Definition at line 53 of file example_service_sensor_off.c.

## ◆ cleanup()

static void cleanup | ( | acc_config_t * | config,
|  | acc_processing_t * | processing,
|  | acc_sensor_t * | sensor,
|  | void * | buffer
| ) |  |
| static

Examples
  example_service_sensor_off.c.

Definition at line 200 of file example_service_sensor_off.c.

## ◆ print_data()

static void print_data | ( | acc_int16_complex_t * | data,
|  | uint16_t | data_length
| ) |  |
| static

Examples
  example_service_sensor_off.c.

Definition at line 226 of file example_service_sensor_off.c.

## ◆ set_config()

static void set_config | ( | acc_config_t * | config | ) |
| static

Examples
  example_service_sensor_off.c.

Definition at line 246 of file example_service_sensor_off.c.